//
//  AddCityController.m
//  CityGuide
//
//  Created by Alasdair Allan on 14/08/2009.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "AddCityController.h"
#import "CityGuideDelegate.h"
#import "RootController.h"
#import "City.h";

@implementation AddCityController

#pragma mark ViewController Methods

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidLoad {
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[tableView release];
	[nameCell release];
	[descriptionCell release];
    [super dealloc];
}

#pragma mark Instance Methods
- (void)saveCity:(id)sender {
	CityGuideDelegate *delegate = (CityGuideDelegate *)[[UIApplication sharedApplication] delegate];
	NSMutableArray *cities = delegate.cities;
	
	UITextField *nameEntry = (UITextField *)[nameCell viewWithTag:777];
	UITextView *descriptionEntry = (UITextView *)[descriptionCell viewWithTag:777];
	
	if ( nameEntry.text.length > 0 ) {
		City *newCity = [[City alloc] init];
		newCity.cityName = nameEntry.text;
		newCity.cityDescription = descriptionEntry.text;
		[cities addObject:newCity];
		
		RootController *viewController = delegate.viewController;
		[viewController.tableView reloadData];
	}
	[self dismissModalViewControllerAnimated:YES];
	
}

#pragma mark UITableViewDataSource Methods

- (UITableViewCell *)tableView:(UITableView *)tv cellForRowAtIndexPath:(NSIndexPath *)indexPath {
	UITableViewCell *cell = nil;
	if( indexPath.row == 0 ) {
		cell = nameCell;
	} else {
		cell = descriptionCell;
	}
	return cell;
	
}

- (NSInteger)tableView:(UITableView *)tv numberOfRowsInSection:(NSInteger)section {
	return 2;
}

#pragma mark UITableViewDelegate Methods

- (CGFloat)tableView:(UITableView *)tv heightForRowAtIndexPath:(NSIndexPath *)indexPath {
	CGFloat height;
	if( indexPath.row == 0 ) {
		height = 44;
	} else {
		height = 362;
	}
	return height;
	
}

@end
